<!--
N.B.: This README was automatically generated by https://github.com/YunoHost/apps/tree/master/tools/README-generator
It shall NOT be edited by hand.
-->

# Dex for YunoHost

[![Integration level](https://dash.yunohost.org/integration/dex.svg)](https://dash.yunohost.org/appci/app/dex) ![](https://ci-apps.yunohost.org/ci/badges/dex.status.svg) ![](https://ci-apps.yunohost.org/ci/badges/dex.maintain.svg)  
[![Install Dex with YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=dex)

*[Lire ce readme en français.](./README_fr.md)*

> *This package allows you to install Dex quickly and simply on a YunoHost server.
If you don't have YunoHost, please consult [the guide](https://yunohost.org/#/install) to learn how to install it.*

## Overview

Dex is an identity service that uses OpenID Connect to drive authentication for other apps.
This Yunohost package will install Dex and setup a canonical OpenID Connect provider for your Yunohost instance, based on the LDAP user base, that can then be used as an authentification server for other Yunohost apps.

### Features

- Fully working OpenID Connect authentification flow
- Interfaced with Yunohost's LDAP server


**Shipped version:** 2.31.1~ynh1



## Screenshots

![](./doc/screenshots/.DS_Store)
![](./doc/screenshots/Dex_screenshot.png)

## Disclaimers / important information

* Known limitations :
    * Only tested on x86 architectures
    * Dex only allows you to setup one OpenID Connect app at a time
    * However, it's a working multi-instance app, so you can install it more than once
    * Dex is only an OIDC provider, and user management will depend on the app using it as an OIDC provider

* To be used carefully :
    * Changing URL will work but will require some settings change in the app using Dex as an OIDC provider

## Documentation and resources

* Official app website: https://dexidp.io
* Official admin documentation: https://dexidp.io/docs/
* Upstream app code repository: https://github.com/dexidp/dex
* YunoHost documentation for this app: https://yunohost.org/app_dex
* Report a bug: https://github.com/YunoHost-Apps/dex_ynh/issues

## Developer info

Please send your pull request to the [testing branch](https://github.com/YunoHost-Apps/dex_ynh/tree/testing).

To try the testing branch, please proceed like that.
```
sudo yunohost app install https://github.com/YunoHost-Apps/dex_ynh/tree/testing --debug
or
sudo yunohost app upgrade dex -u https://github.com/YunoHost-Apps/dex_ynh/tree/testing --debug
```

**More info regarding app packaging:** https://yunohost.org/packaging_apps